%define	name	SearchAndRescue
%define	version 0.7c
%define release 1mdk
%define summary	The Search and Rescue helicopter simulator

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{summary}
License: 	GPL
Group: 		Games/Other
Source0:	ftp://fox.mit.edu/pub/xsw/%{name}%{version}.tar.bz2
Source1:	%{name}_16x16.xpm
Source2:	%{name}_32x32.xpm
Source3:	%{name}_48x48.xpm
Url: 		http://wolfpack.twu.net/SearchAndRescue/index.html
Requires:	libjsw1 libY2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Buildrequires: libjsw1-devel libY2-devel

%description
Changing the pace of recent sterotypical game themes, Search and Rescue aims to 
create a plot based on positive goals such as saving victims in varying 
situations of distress.
The player will be given the chance to pilot different types of rescue aircraft 
in a variety of search and rescue style missions.
Search and Rescue is highly customizeable by allowing intermediate players to 
create their own missions and allowing experianced players to design their own 
aircraft and scenery.  

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{name}%{version}
perl -pi -e 's|^PREFIX = /usr|PREFIX = \$(RPM_BUILD_ROOT)/%{_prefix}|g' sar/Makefile
#perl -pi -e 's|gcc|kgcc|g' sar/Makefile
#perl -pi -e 's|g\+\+|kg\+\+|g' sar/Makefile

%build

cd sar
make

%install
cd sar
make install
# move man from /usr to /usr/share
mv $RPM_BUILD_ROOT/%{_prefix}/man $RPM_BUILD_ROOT/%{_mandir}

# icons
install -D -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm 
install -D -m644 %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm 
install -D -m644 %{SOURCE3} $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

# menu entry
mkdir -p $RPM_BUILD_ROOT%{_libdir}/menu
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\\
	command="%{_gamesbindir}/%{name}"\\
	needs="X11"\\
	icon="%{name}.xpm"\\
	section="Amusement/Other"\\
	title="Search and Rescue" \
	longtitle="The Search and Rescue helicopter simulator"
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc AUTHORS  HACKING  INSTALL  LICENSE  README
%{_gamesbindir}/*
%{_datadir}/games/%{name}
%{_mandir}/man6/*
%{_menudir}/%{name}
%{_miconsdir}/%{name}.xpm
%{_iconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm

%changelog
* Wed Mar 14 2001  Lenny Cartier <lenny@mandrakesoft.com> 0.7c-1mdk
- updated to 0.7c
- fix requires & added buildrequires

* Tue Feb 13 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7-2mdk
- use egcs
- used specfile from Guillaume Rousse <g.rousse@mandrake-linux.com> :
	- corrected summary (Packager's law : any copy & paste will bring at least one error in specfile)

* Tue Feb 06 2001 Guillaume Rousse <g.rousse@mandrake-linux.com> 0.7-1mdk
- first Mandrake release
